﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek DSA 70604: (1 yr) VER IEEE /9500/3200+4Hd,LFCTR
DATE:                  2010-11-29 12:28:26
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       410
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 1
CONFIGURATION:         Fluke 9560 on channel 2
CONFIGURATION:         Fluke 9560 on channel 3
CONFIGURATION:         Fluke 9560 on channel 4
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        DSA 70604
# 
#  Source(s):
#        DPO7000 Series Digital Phosphor Oscilloscope
#        DPO70000/B Series Digital Phosphor Oscilloscopes
#        DSA70000/B Series Digital Signal Analyzers
#        MSO70000 Series Mixed Signal Oscilloscopes
#        Specifications and Performance Verification
#        Technical Reference PN 077-0063-03
# 
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek DPO70000 Setup IEEE
#        Sub Tek DPO70000 Check Firmware Version
#        Sub Tek DPO70000 Set Bandwidth & Channel Numbers
#        Sub Tek DPO70000 Self-Test IEEE
#        Sub Tek DPO70000 Sig Path Comp Cal IEEE
#        Sub Tek DPO70000 Input Channel Functional VER IEEE
#        Sub Tek DPO70000 TimeBase Functional VER IEEE
#        Sub Tek DPO70000 Trig System Functional VER IEEE
#        Sub Tek DPO70000 File System Functional VER IEEE
#        Sub Tek DPO70000 (1 yr) DCV Accuracy VER IEEE /9500
#        Sub Tek DPO70000 (1 yr) DC Gain VER IEEE /9500
#        Sub Tek DPO70000 (1 yr) DC Offset VER IEEE /9500
#        Sub Tek DPO70604 (1 yr) BW VER IEEE /9500/3200
#        Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
#        Sub Tek DPO70000 (1 yr) Timebase Acc VER IEEE /LFCTR
#        Sub Tek DPO70000 (1 yr) Ref Select VER IEEE /9500
#        Sub Tek DPO70000 (1 yr) Time Qualified VER IEEE /9500
#        Sub Tek DPO70604B (1 yr) Trig VER IEEE /9500/3200/2Hd
#        Sub Tek DPO70000 (1 yr) Aux Trigger Out VER IEEE
#        Sub Tek DPO70000 (1 yr) Probe Comp VER IEEE /9500
#        Sub Tek DPO70000 (1 yr) Baud Rate VER IEEE /9500/600
#        Sub Tek DPO70000 (1 yr) Serial Trig VER IEEE /9500/3200
#        Sub Tek DPO70000 Trigger Chk and Level Adj IEEE
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LFCTR (Rev. 1.10 or later)
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#        Sub Setup /LFCTR
#        Sub Read /LFCTR
#        Sub Send Command /LFCTR (Rev. 1.3 or later)
#
# Required Files:
#        None
# 
#  Flexible Standard(s) Required:
# 
#        LF Counter (LFCTR):
# 
#          Ch. A Frequency Range: 10 MHz
#           Accuracy: ±0.5 ppm/year or better
# 
#          Example: Fluke PM6681 with PM9678B option or equivalent
# 
#  Additional Equipment Required:
#        Cable, 50 Ohm, SMA(m)-(m)
#        One 2X attenuator, 50 Ohm impedance, frequency > 6 GHz
#        One SMA female to BNC male connector
#        One SMA male-to-female BNC adapter
#        Two Tektronix TCA-SMA adapter
# 
# The procedure was tested using:
#        Model No.    : None
#        Serial No.   :
#        Options      :
#        Firmware Rev.:
#
# Average run time during testing : 4 hours
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.004  IF           0
  1.005  M9500                       CH1
  1.006  9500         mVpp                         6GH            LS    S  L
  1.007  M9500                       CH2
  1.008  9500         mVpp                         6GH            LS    S  L
  1.009  M9500                       CH3
  1.010  9500         mVpp                         6GH            LS    S  L
  1.011  M9500                       CH4
  1.012  9500         mVpp                         6GH            LS    S  L
  1.013  ENDIF

  1.014  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.015  ASK+           K

  1.016  IF           NOT(VERSIONCHECK("7.3"))
  1.017  END
  1.018  ENDIF

  1.019  HEAD         PRELIMINARY INSTRUCTIONS
  1.020  TARGET
  1.021  DISP         Ensure a minimum DUT warm-up time of at least
  1.021  DISP         20 minutes has been allowed to elapse, prior
  1.021  DISP         to beginning verification.

  1.022  CALL         Sub Tek DPO70000 Setup IEEE

  1.023  IEEE2        *RST

  1.024  HEAD         DUT IDENTIFICATION
  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE

# Make sure correct DUT is connected.
  1.026  MATH         @DUT_Manufacturer = "Tektronix"
  1.027  MATH         @DUT_Model        = "DSA70604"
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.029  JMPL         END                     @Abort

  1.030  CALL         Sub Tek DPO70000 Check Firmware Version
  1.031  JMPL         END                             @Abort

  1.032  CALL         Sub Datron 9500 Configuration Query IEEE

  1.033  MATH         Con = @HeadTypeCh1 == "9560" || @HeadTypeCh2 == "9560"
  1.034  MATH         Con = Con || @HeadTypeCh3 == "9560"
  1.035  MATH         Con = Con || @HeadTypeCh4 == "9560"

  1.036  IF           NOT(Con)
  1.037  DISP         This procedure need 9560 Active Head connected
  1.037  DISP         to 9500 Channel 1 to Channel 4.
  1.038  END
  1.039  ENDIF

  1.040  HEAD         EQUIPMENT REQUIREMENTS
  1.041  OPBR         -z Do you want to REVIEW the list of additional
  1.041  OPBR         equipment and/or accessories required?

  1.042  IF           MEM1
  1.043  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.043  DISP         - One 2X attenuator, 50 Ohm impedance, frequency > 6 GHz
  1.043  DISP         - One SMA female to BNC male connector
  1.043  DISP         - One SMA male-to-female BNC adapter
  1.043  DISP         - Two Tektronix TCA-SMA adapter
  1.044  ENDIF

  1.045  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.045  OPBR         additional equipment and/or accessories required?

  1.046  IF           MEM1
  1.047  DISP         The indicated minimum use specifications must be
  1.047  DISP         satisfied when configuring the following devices
  1.047  DISP         as flexible standards:
  1.048  DISP
  1.048  DISP         LF Counter (LFCTR):
  1.048  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.048  DISP         [32]   Accuracy: ±0.5 ppm/year
  1.048  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.048  DISP         [32] or equivalent

  1.049  DISP         Additional equipment/accessories required:
  1.049  DISP
  1.049  DISP         - Frequency Standard, suitable for use with configured
  1.049  DISP         [32] LF counter, ±0.5 ppm or better, FlukePM6681 with
  1.049  DISP         [32] PM9678B option or equivalent (if required)
  1.050  ENDIF

  1.051  MATH         @Ch1Adapter = " via TCA-SMA adapter"
  1.052  MATH         @Ch2Adapter = " via TCA-SMA adapter"
  1.053  MATH         @Ch3Adapter = " via TCA-SMA adapter"
  1.054  MATH         @Ch4Adapter = " via TCA-SMA adapter"
  1.055  CALL         Sub Tek DPO70000 Set Bandwidth & Channel Numbers

# Self test and SPC.
  1.056  CALL         Sub Tek DPO70000 Self-Test IEEE
  1.057  JMPL         END                           @Abort

  1.058  CALL         Sub Tek DPO70000 Sig Path Comp Cal IEEE
  1.059  JMPL         END                           @Abort

  1.060  DISP         Click the X (close) button to exit the instrument
  1.060  DISP         calibration control window.

# Function test.
  1.061  OPBR         -z The purpose of functional tests are to confirm the
  1.061  OPBR         DUT functions properly; that is, they verify the DUT
  1.061  OPBR         features operate. They do not verify that they operate
  1.061  OPBR         within limits. If more extensive confirmation of
  1.061  OPBR         performance is desired, please execute the full
  1.061  OPBR         performance test.
  1.061  OPBR
  1.061  OPBR         Do you want to execute the functional tests?

  1.062  IF           MEM1
  1.063  MATH         @Chan = 1
  1.064  M9500                       CH1
  1.065  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.066  JMPL         TIMEBASE_VER

  1.067  LABEL        CHANNEL_2_VER
  1.068  MATH         @Chan = 2
  1.069  M9500                       CH2
  1.070  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.071  MATH         @Chan = 3
  1.072  M9500                       CH3
  1.073  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.074  MATH         @Chan = 4
  1.075  M9500                       CH4
  1.076  CALL         Sub Tek DPO70000 Input Channel Functional VER IEEE
  1.077  JMPL         FUNC_END

  1.078  LABEL        TIMEBASE_VER
  1.079  MATH         @Chan = 1
  1.080  M9500                       CH1
  1.081  CALL         Sub Tek DPO70000 TimeBase Functional VER IEEE
  1.082  CALL         Sub Tek DPO70000 Trig System Functional VER IEEE
  1.083  CALL         Sub Tek DPO70000 File System Functional VER IEEE
  1.084  JMPL         CHANNEL_2_VER

  1.085  LABEL        FUNC_END
  1.086  DISP         Remove all connections to the DUT.
  1.087  ENDIF

# Performance test begin.
# Signal Acquire System.

  1.088  DISP         Connect the 9500 to the DUT as follows:
  1.088  DISP
  1.088  DISP         CH 1 Active Head to DUT CH 1[V @Ch1Adapter].
  1.088  DISP         CH 2 Active Head to DUT CH 2[V @Ch2Adapter].
  1.088  DISP         CH 3 Active Head to DUT CH 3[V @Ch3Adapter].
  1.088  DISP         CH 4 Active Head to DUT CH 4[V @Ch4Adapter].

  1.089  MATH         @Chan = 1
  1.090  M9500                       CH1
  1.091  CALL         Sub Tek DPO70000 (1 yr) DCV Accuracy VER IEEE /9500
  1.092  MATH         @Chan = 2
  1.093  M9500                       CH2
  1.094  CALL         Sub Tek DPO70000 (1 yr) DCV Accuracy VER IEEE /9500
  1.095  MATH         @Chan = 3
  1.096  M9500                       CH3
  1.097  CALL         Sub Tek DPO70000 (1 yr) DCV Accuracy VER IEEE /9500
  1.098  MATH         @Chan = 4
  1.099  M9500                       CH4
  1.100  CALL         Sub Tek DPO70000 (1 yr) DCV Accuracy VER IEEE /9500

  1.101  MATH         @Chan = 1
  1.102  M9500                       CH1
  1.103  CALL         Sub Tek DPO70000 (1 yr) DC Gain VER IEEE /9500
  1.104  MATH         @Chan = 2
  1.105  M9500                       CH2
  1.106  CALL         Sub Tek DPO70000 (1 yr) DC Gain VER IEEE /9500
  1.107  MATH         @Chan = 3
  1.108  M9500                       CH3
  1.109  CALL         Sub Tek DPO70000 (1 yr) DC Gain VER IEEE /9500
  1.110  MATH         @Chan = 4
  1.111  M9500                       CH4
  1.112  CALL         Sub Tek DPO70000 (1 yr) DC Gain VER IEEE /9500

  1.113  MATH         @Chan = 1
  1.114  M9500                       CH1
  1.115  CALL         Sub Tek DPO70000 (1 yr) DC Offset VER IEEE /9500
  1.116  MATH         @Chan = 2
  1.117  M9500                       CH2
  1.118  CALL         Sub Tek DPO70000 (1 yr) DC Offset VER IEEE /9500
  1.119  MATH         @Chan = 3
  1.120  M9500                       CH3
  1.121  CALL         Sub Tek DPO70000 (1 yr) DC Offset VER IEEE /9500
  1.122  MATH         @Chan = 4
  1.123  M9500                       CH4
  1.124  CALL         Sub Tek DPO70000 (1 yr) DC Offset VER IEEE /9500

  1.125  MATH         @Chan = 1
  1.126  M9500                       CH1
  1.127  CALL         Sub Tek DPO70604 (1 yr) BW VER IEEE /9500/3200
  1.128  MATH         @Chan = 2
  1.129  M9500                       CH2
  1.130  CALL         Sub Tek DPO70604 (1 yr) BW VER IEEE /9500/3200
  1.131  MATH         @Chan = 3
  1.132  M9500                       CH3
  1.133  CALL         Sub Tek DPO70604 (1 yr) BW VER IEEE /9500/3200
  1.134  MATH         @Chan = 4
  1.135  M9500                       CH4
  1.136  CALL         Sub Tek DPO70604 (1 yr) BW VER IEEE /9500/3200

  1.137  MATH         @Chan = 1
  1.138  M9500                       CH1
  1.139  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
  1.140  MATH         @Chan = 2
  1.141  M9500                       CH2
  1.142  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
  1.143  MATH         @Chan = 3
  1.144  M9500                       CH3
  1.145  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500
  1.146  MATH         @Chan = 4
  1.147  M9500                       CH4
  1.148  CALL         Sub Tek DPO70000 (1 yr) Resistance VER IEEE /9500

# TimeBase system.
  1.149  MATH         @Chan = 1
  1.150  M9500                       CH1
  1.151  CALL         Sub Tek DPO70000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.152  CALL         Sub Tek DPO70000 (1 yr) Ref Select VER IEEE /9500

# Trigger System.
  1.153  CALL         Sub Tek DPO70000 (1 yr) Time Qualified VER IEEE /9500

  1.154  DISP         Connect the 9500 to the DUT as follows:
  1.154  DISP
  1.154  DISP         CH 1 Active Head to DUT CH 1[V @Ch1Adapter].
  1.154  DISP         CH 4 Active Head to DUT Aux Input[V @Ch4Adapter].
  1.155  MATH         @Chan = 1
  1.156  CALL         Sub Tek DPO70604B (1 yr) Trig VER IEEE /9500/3200/2Hd

  1.157  DISP         Connect the 9500 to the DUT as follows:
  1.157  DISP
  1.157  DISP         CH 1 Active Head to DUT CH 2[V @Ch2Adapter].
  1.157  DISP         CH 4 Active Head to DUT Aux Input[V @Ch4Adapter].
  1.158  MATH         @Chan = 2
  1.159  CALL         Sub Tek DPO70604B (1 yr) Trig VER IEEE /9500/3200/2Hd

  1.160  DISP         Connect the 9500 to the DUT as follows:
  1.160  DISP
  1.160  DISP         CH 1 Active Head to DUT CH 3[V @Ch3Adapter].
  1.160  DISP         CH 4 Active Head to DUT Aux Input[V @Ch4Adapter].
  1.161  MATH         @Chan = 3
  1.162  CALL         Sub Tek DPO70604B (1 yr) Trig VER IEEE /9500/3200/2Hd

  1.163  DISP         Connect the 9500 to the DUT as follows:
  1.163  DISP
  1.163  DISP         CH 1 Active Head to DUT CH 4[V @Ch4Adapter].
  1.163  DISP         CH 4 Active Head to DUT Aux Input[V @Ch4Adapter].
  1.164  MATH         @Chan = 4
  1.165  CALL         Sub Tek DPO70604B (1 yr) Trig VER IEEE /9500/3200/2Hd

# Output Signal Check.
  1.166  MATH         @Chan = 1
  1.167  CALL         Sub Tek DPO70000 (1 yr) Aux Trigger Out VER IEEE
  1.168  M9500                       CH1
  1.169  CALL         Sub Tek DPO70000 (1 yr) Probe Comp VER IEEE /9500

# Serial Trigger Check.
  1.170  IEEE2        *OPT?[I$]
  1.171  MATH         Option = MEM2

  1.172  IF           FIND(Option, "PTH", 1)
  1.173  MATH         @Chan = 1
  1.174  M9500                       CH1
  1.175  CALL         Sub Tek DPO70000 (1 yr) Baud Rate VER IEEE /9500/600
  1.176  CALL         Sub Tek DPO70000 (1 yr) Serial Trig VER IEEE /9500/3200
  1.177  ENDIF

  1.178  LABEL        END
  1.179  IEEE2        *RST
  1.180  HEAD         -2

  1.181  IF           @Abort
  1.182  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.183  ELSE
  1.184  RSLT         =
  1.185  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.186  ENDIF

  1.187  END
